<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <title>Step Project "Cards"</title>
    <link rel="apple-touch-icon" sizes="180x180" href="./images/favicon_package_v0.16/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="./images/favicon_package_v0.16/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="./images/favicon_package_v0.16/favicon-16x16.png">
    <link rel="manifest" href="./images/favicon_package_v0.16/site.webmanifest">
    <link rel="mask-icon" href="./images/favicon_package_v0.16/safari-pinned-tab.svg" color="#000000">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#000000">
    <link rel="stylesheet" href="./css/index.css">
    <link rel="stylesheet" href="css/index.css">
</head>
<body>

<header class="header">
        <object class="header__logo" type="image/svg+xml" data="./images/logo.svg" width="100" height="100" >
            Your browser does not support SVG
        </object>
    <span class="header__company-name">dvg-medical</span>
    <div class="header__login-container">
        <span class="header-user-name"></span>
        <a href="#" class="header__login-button">login</a>
    </div>
</header>

<div id='root'>

</div>

<template id="login-form">
    <form class="login-form">
        <div class="container">
            <label>Email</label>
            <input type="text" placeholder="Enter Username" name="uname" required>
            <label>Password</label>
            <input type="password" placeholder="Enter Password" name="psw" required>
        </div>
        <div class="container" >
            <button type="submit" name='submit'>Login</button>
        </div>
    </form>
</template>

<template id="visit-form">
    <form class="visit-form">
        <div class="visit-form__container">
            <a class="visit-form__close"> Close </a>
            <p class="visit-form__title">Title</p>
            <label class="visit-form__purpose-label">Purpose</label>
            <select class="visit-form__doctor" required>
                <option>Cardiologist</option>
                <option>Dentist</option>
                <option>Therapist</option>
            </select>

            <label class="cardiologist">Visit date:</label>
            <input type="date" class="visit-date" name="trip-start"
                   value="2022-01-01"
                   min="2022-01-01" max="2040-12-31">

            <select class="visit-form__purpose" required>
                <option>Purpose 1</option>
                <option>Purpose 2</option>
                <option>Purpose 3</option>
            </select>
            <textarea class="visit-form__description">
                visit description
            </textarea>
            <select class="visit-form__urgency" required>
                <option>Срочно</option>
                <option>Нормально</option>
                <option>Не срочно</option>
            </select>
            <input class="visit-form__name" type="text" placeholder="name" name="name" required>
            <input class="visit-form__surname" type="text" placeholder="surname" name="surname" required>
            <input class="visit-form__middle-name" type="text" placeholder="middle-name" name="middle-name" required>

            <label class="visit-form__pressure-label cardiologist">Blood pressure</label>
            <input class="visit-form__pressure-top cardiologist" type="text" placeholder="top" name="name" required
                minlength="1" maxlength="3">
            <input class="visit-form__pressure-bottom cardiologist" type="text" placeholder="bottom" name="name" required
                minlength="1" maxlength="3">

            <label class="visit-form__body-mass-index-label cardiologist">Body mass index</label>
            <input class="visit-form__body-mass-index cardiologist" type="text" placeholder="mass index" name="name" required
                minlength="1" maxlength="3">

            <label class="visit-form__cardio-troubles-label cardiologist">Past diseases of the cardiovascular system</label>
            <textarea class="visit-form__cardio-troubles cardiologist">
              </textarea>
            <label class="visit-form__Age-label cardiologist therapist">Age</label>
            <input class="visit-form__Age" type="text" placeholder="your age" name="age" required>

            <label class="visit-form__last-visit-label dentist">Last visit date</label>
            <input class="visit-form__last-visit" type="text" placeholder="last visit date" name="visit date" required>

        </div>
        <div class="container">
            <button type="submit">Create</button>
        </div>
    </form>
</template>

<template id="card">
    <div class="card">
        <!-- <span class="card__title">Title</span> -->
        <div class="card__fields">
        </div>
        <a href="#" class="delete-card-button">Cancel visit</a>
        <a href="#" class="change-card-button">Change visit</a>
    </div>
</template>

<template id="board">
    <section class="board">
        <nav class="board__menu-container">
            <div class="board__fixed-menu">
                <a class="board__create-card-button" >Create visit</a>
                <a class="board__create-card-button" >Сalculate waightIndex</a>
                <a class="board__filter-card-button" >Filter visits</a>
            </div>
        </nav>
        <div class="cards">
        </div>
        </section>
</template>

<template id="filter-form">
    <form class="filter-form">

        <label class="visit-date-label">Доктор</label>
        <div class="visit-form__container">
                        <select class="filter-form-title" required>
                            <option>All</option>
                            <option>Визит к кардиологу</option>
                            <option>Визит к стоматологу</option>
                            <option>Визит к терапевту</option>
                        </select>

            <label class="visit-date-label">Срочность</label>
            <select class="filter-form-urgency" required>
                <option>All</option>
                <option>Срочно</option>
                <option>Нормально</option>
                <option>Не срочно</option>
            </select>

            <label class="visit-date-label">from:</label>
            <input type="date" class="visit-date-from" name="trip-start"
                   value="2022-01-01"
                   min="2022-01-01" max="2040-12-31">

            <label class="visit-date-label">to:</label>
            <input type="date" class="visit-date-to" name="trip-start"
                   value="2022-01-01"
                   min="2022-01-01" max="2040-12-31">
        </div>
        <div class="container">
            <button class="filter-submit">Фильтр</button>
        </div>
    </form>
</template>

<script src="./js/index.js" type="module"></script>

</body>
</html>
